Package org.eclipse.mat.parser.internal.oql.parser

# Interface OQLParserConstants

All Known Implementing Classes:
  `OQLParser`, `OQLParserTokenManager`

public interface OQLParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AND`
RegularExpression Id.
`static final int`
`ARRAY`
RegularExpression Id.
`static final int`
`ARRAYLEFT`
RegularExpression Id.
`static final int`
`ARRAYRIGHT`
RegularExpression Id.
`static final int`
`CHARACTER_LITERAL`
RegularExpression Id.
`static final int`
`COLON`
RegularExpression Id.
`static final int`
`COMMA`
RegularExpression Id.
`static final int`
`DECIMAL_LITERAL`
RegularExpression Id.
`static final int`
`DEFAULT`
Lexical state.
`static final int`
`DIVIDE`
RegularExpression Id.
`static final int`
`DOLLAR_SIGN`
RegularExpression Id.
`static final int`
`DOT`
RegularExpression Id.
`static final int`
`EOF`
End of File.
`static final int`
`EQ`
RegularExpression Id.
`static final int`
`EXPONENT`
RegularExpression Id.
`static final int`
`FALSE`
RegularExpression Id.
`static final int`
`FLOATING_POINT_LITERAL`
RegularExpression Id.
`static final int`
`FORMAL_COMMENT`
RegularExpression Id.
`static final int`
`GE`
RegularExpression Id.
`static final int`
`GT`
RegularExpression Id.
`static final int`
`HEX_LITERAL`
RegularExpression Id.
`static final int`
`IDENTIFIER`
RegularExpression Id.
`static final int`
`IMPLEMENTS`
RegularExpression Id.
`static final int`
`IN_FORMAL_COMMENT`
Lexical state.
`static final int`
`IN_MULTI_LINE_COMMENT`
Lexical state.
`static final int`
`IN_SINGLE_LINE_COMMENT`
Lexical state.
`static final int`
`INSIDE_COMMENT`
RegularExpression Id.
`static final int`
`INSTANCEOF`
RegularExpression Id.
`static final int`
`INTEGER_LITERAL`
RegularExpression Id.
`static final int`
`LBRACE`
RegularExpression Id.
`static final int`
`LE`
RegularExpression Id.
`static final int`
`LETTER`
RegularExpression Id.
`static final int`
`LONG_LITERAL`
RegularExpression Id.
`static final int`
`LPAREN`
RegularExpression Id.
`static final int`
`LT`
RegularExpression Id.
`static final int`
`MINUS`
RegularExpression Id.
`static final int`
`MULTI_LINE_COMMENT`
RegularExpression Id.
`static final int`
`NATIVE`
RegularExpression Id.
`static final int`
`NE`
RegularExpression Id.
`static final int`
`NULL`
RegularExpression Id.
`static final int`
`OCTAL_LITERAL`
RegularExpression Id.
`static final int`
`OR`
RegularExpression Id.
`static final int`
`PART_LETTER`
RegularExpression Id.
`static final int`
`PLUS`
RegularExpression Id.
`static final int`
`RBRACE`
RegularExpression Id.
`static final int`
`RPAREN`
RegularExpression Id.
`static final int`
`SINGLE_LINE_COMMENT`
RegularExpression Id.
`static final int`
`STAR`
RegularExpression Id.
`static final int`
`START_FORMAL_COMMENT`
RegularExpression Id.
`static final int`
`STRING_LITERAL`
RegularExpression Id.
`static final int`
`TERMINATOR`
RegularExpression Id.
`static final String[]`
`tokenImage`
Literal token values.
`static final int`
`TRUE`
RegularExpression Id.

## Field Details

### EOF

static final int EOF
End of File.

See Also:
  - Constant Field Values

### START_FORMAL_COMMENT

static final int START_FORMAL_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### SINGLE_LINE_COMMENT

static final int SINGLE_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### FORMAL_COMMENT

static final int FORMAL_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### MULTI_LINE_COMMENT

static final int MULTI_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### INSIDE_COMMENT

static final int INSIDE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### INTEGER_LITERAL

static final int INTEGER_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### LONG_LITERAL

static final int LONG_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### DECIMAL_LITERAL

static final int DECIMAL_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### HEX_LITERAL

static final int HEX_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### OCTAL_LITERAL

static final int OCTAL_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### FLOATING_POINT_LITERAL

static final int FLOATING_POINT_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### EXPONENT

static final int EXPONENT
RegularExpression Id.

See Also:
  - Constant Field Values

### CHARACTER_LITERAL

static final int CHARACTER_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### STRING_LITERAL

static final int STRING_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### INSTANCEOF

static final int INSTANCEOF
RegularExpression Id.

See Also:
  - Constant Field Values

### TRUE

static final int TRUE
RegularExpression Id.

See Also:
  - Constant Field Values

### FALSE

static final int FALSE
RegularExpression Id.

See Also:
  - Constant Field Values

### OR

static final int OR
RegularExpression Id.

See Also:
  - Constant Field Values

### AND

static final int AND
RegularExpression Id.

See Also:
  - Constant Field Values

### NULL

static final int NULL
RegularExpression Id.

See Also:
  - Constant Field Values

### IMPLEMENTS

static final int IMPLEMENTS
RegularExpression Id.

See Also:
  - Constant Field Values

### DOLLAR_SIGN

static final int DOLLAR_SIGN
RegularExpression Id.

See Also:
  - Constant Field Values

### IDENTIFIER

static final int IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### LETTER

static final int LETTER
RegularExpression Id.

See Also:
  - Constant Field Values

### PART_LETTER

static final int PART_LETTER
RegularExpression Id.

See Also:
  - Constant Field Values

### LT

static final int LT
RegularExpression Id.

See Also:
  - Constant Field Values

### GT

static final int GT
RegularExpression Id.

See Also:
  - Constant Field Values

### EQ

static final int EQ
RegularExpression Id.

See Also:
  - Constant Field Values

### LE

static final int LE
RegularExpression Id.

See Also:
  - Constant Field Values

### GE

static final int GE
RegularExpression Id.

See Also:
  - Constant Field Values

### NE

static final int NE
RegularExpression Id.

See Also:
  - Constant Field Values

### TERMINATOR

static final int TERMINATOR
RegularExpression Id.

See Also:
  - Constant Field Values

### STAR

static final int STAR
RegularExpression Id.

See Also:
  - Constant Field Values

### COMMA

static final int COMMA
RegularExpression Id.

See Also:
  - Constant Field Values

### DOT

static final int DOT
RegularExpression Id.

See Also:
  - Constant Field Values

### LBRACE

static final int LBRACE
RegularExpression Id.

See Also:
  - Constant Field Values

### RBRACE

static final int RBRACE
RegularExpression Id.

See Also:
  - Constant Field Values

### NATIVE

static final int NATIVE
RegularExpression Id.

See Also:
  - Constant Field Values

### LPAREN

static final int LPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### RPAREN

static final int RPAREN
RegularExpression Id.

See Also:
  - Constant Field Values

### ARRAY

static final int ARRAY
RegularExpression Id.

See Also:
  - Constant Field Values

### ARRAYLEFT

static final int ARRAYLEFT
RegularExpression Id.

See Also:
  - Constant Field Values

### ARRAYRIGHT

static final int ARRAYRIGHT
RegularExpression Id.

See Also:
  - Constant Field Values

### PLUS

static final int PLUS
RegularExpression Id.

See Also:
  - Constant Field Values

### MINUS

static final int MINUS
RegularExpression Id.

See Also:
  - Constant Field Values

### DIVIDE

static final int DIVIDE
RegularExpression Id.

See Also:
  - Constant Field Values

### COLON

static final int COLON
RegularExpression Id.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Lexical state.

See Also:
  - Constant Field Values

### IN_SINGLE_LINE_COMMENT

static final int IN_SINGLE_LINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### IN_FORMAL_COMMENT

static final int IN_FORMAL_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### IN_MULTI_LINE_COMMENT

static final int IN_MULTI_LINE_COMMENT
Lexical state.

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage
Literal token values.